Bug 998676 - [abrt] rdesktop-1.8.0-1.fc19: XPutImage: Process /usr/bin/rdesktop was killed by signal 11 (SIGSEGV)
Summary: [abrt] rdesktop-1.8.0-1.fc19: XPutImage: Process /usr/bin/rdesktop was killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rdesktop
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:44c685cc0e2b0432d366d54de39...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-19 18:37 UTC by sec_freak
Modified: 2014-06-18 09:16 UTC (History)
8 users (show)

Fixed In Version: rdesktop-1.8.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-25 02:36:37 UTC


Attachments (Terms of Use)
File: backtrace (29.73 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: dso_list (2.96 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: environ (1.81 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: maps (13.64 KB, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: open_fds (253 bytes, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details
File: var_log_messages (426 bytes, text/plain)
2013-08-19 18:37 UTC, sec_freak
no flags Details

Description sec_freak 2013-08-19 18:37:19 UTC
Description of problem:
run yum update -y 
Tried to start rdesktop. Using an alacarte created menu item.
The command in the menu item is:
/bin/rdesktop -x l -P -5 -z -u <UserID> -d <Domain> -g 3830x1140 -r clipboard:PRIMARYCLIPBOARD -a 16 -r disk:HOME=/home/<userid>/shared <fqdn Computer name>

Rdesktop will not start and it crashes...

Version-Release number of selected component:
rdesktop-1.8.0-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
crash_function: XPutImage
executable:     /usr/bin/rdesktop
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 XPutImage at PutImage.c:1024
 #1 ui_create_bitmap at xwin.c:2753
 #2 pstcache_load_bitmap at pstcache.c:72
 #3 pstcache_enumerate at pstcache.c:136
 #4 rdp_enum_bmpcache2 at rdp.c:585
 #5 process_demand_active at rdp.c:1067
 #6 rdp_loop at rdp.c:1611
 #7 rdp_connect at rdp.c:1653

Comment 1 sec_freak 2013-08-19 18:37:23 UTC
Created attachment 788164 [details]
File: backtrace

Comment 2 sec_freak 2013-08-19 18:37:26 UTC
Created attachment 788165 [details]
File: cgroup

Comment 3 sec_freak 2013-08-19 18:37:29 UTC
Created attachment 788166 [details]
File: core_backtrace

Comment 4 sec_freak 2013-08-19 18:37:32 UTC
Created attachment 788167 [details]
File: dso_list

Comment 5 sec_freak 2013-08-19 18:37:35 UTC
Created attachment 788168 [details]
File: environ

Comment 6 sec_freak 2013-08-19 18:37:37 UTC
Created attachment 788169 [details]
File: exploitable

Comment 7 sec_freak 2013-08-19 18:37:39 UTC
Created attachment 788170 [details]
File: limits

Comment 8 sec_freak 2013-08-19 18:37:42 UTC
Created attachment 788171 [details]
File: maps

Comment 9 sec_freak 2013-08-19 18:37:45 UTC
Created attachment 788172 [details]
File: open_fds

Comment 10 sec_freak 2013-08-19 18:37:48 UTC
Created attachment 788173 [details]
File: proc_pid_status

Comment 11 sec_freak 2013-08-19 18:37:51 UTC
Created attachment 788174 [details]
File: var_log_messages

Comment 12 D. Charles Pyle 2013-08-20 05:40:21 UTC
I am seeing the same results after trying to add the -P parameter to the command line for rdesktop and logging into a Windows 7 Ultimate machine.  Following is what I see so far 100% of the time I have tried to replicate this.

$ rdesktop -a 32 -x l -f -u dcpyle -P 192.168.0.5
ERROR: CredSSP: Initialize failed, do you have correct kerberos tgt initialized ?
Connection established using SSL.
Segmentation fault (core dumped)

If I do it without the -P parameter I can get a Desktop and logon just fine.  However, I had no problems with this parameter earlier today.

Comment 13 sec_freak 2013-08-20 13:03:50 UTC
Did a bit more testing and it is the -P parameter. 
The cache file is getting corrupt. 

removing the file:

rm -f ~/.rdesktop/cache/pstcache_2_2

stops rdesktop from crashing every time you attempt to restart it. 

Killing the remote desktop through either a windows disconnect or by closing the Rdesktop window semms to cause the corruption.

As long as Rdesktop stays running, it works just fine. Close it and the cache gets corrupt and it has to be removed.

Comment 14 Panos Kavalagios 2013-08-22 07:08:58 UTC
I confirm the workaround of comment 13. I have also removed the whole cache:

rm -rf .rdesktop/cache

and it works for the next rdesktop session.

Comment 15 fred smith 2013-09-01 00:39:03 UTC
I find I need to remove both -P and -E. I have a desktop icon that I use for connecting to a specific system at work, and it normally uses:

rdesktop -D -g 1020x590 -r printer:Brother-HL-2070N="Brother HL-1250" -r sound:local -r clipboard:PRIMARYCLIPBOARD -P -E -z -x b -d ci -u username 172.19.23.120

but either -P or -E will cause it to die.

Comment 16 D. Charles Pyle 2013-09-01 02:37:04 UTC
Rdesktop does not properly clear the cache as expected on exit.  In the meantime you might want to create a script file that sets up your environment and deletes the cache file(s) before the script launches rdesktop.  You can set that up with a shortcut as you have now.

It is a bug that can be worked around until it gets fixed.

Comment 17 Panos Kavalagios 2013-09-02 05:42:47 UTC
There is no need for a script. An alias is enough in the shell startup scripts:

alias rdesktop 'rm -rf $HOME/.rdesktop/cache; rdesktop -z -P -x 0x80 -g 1400x825 -r disk:work=/home/panos/work -r disk:tmp=/home/panos/tmp -a 32'

The above works for tcsh. For bash, it needs the equal sign.

Comment 18 Fedora Update System 2013-12-23 01:15:12 UTC
rdesktop-1.8.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rdesktop-1.8.1-1.fc20

Comment 19 Fedora Update System 2013-12-23 01:15:34 UTC
rdesktop-1.8.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rdesktop-1.8.1-1.fc19

Comment 20 Fedora Update System 2013-12-24 03:40:03 UTC
Package rdesktop-1.8.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rdesktop-1.8.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23910/rdesktop-1.8.1-1.fc20
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2013-12-25 02:36:37 UTC
rdesktop-1.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-01-01 08:59:56 UTC
rdesktop-1.8.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.